import express from 'express';
import { GetAllPlayers } from './endpoints/all.rpc';
import { GetAdminsOnline } from './endpoints/admins-online.rpc';
import { GetTestersOnline } from './endpoints/testers-online.rpc';
import { GetPlayersOnline } from './endpoints/players-online.rpc';
import { IdPlayer } from './endpoints/id.rpc';

const RpcRouterPlayers = express.Router();

RpcRouterPlayers.get('/all', GetAllPlayers);
RpcRouterPlayers.get('/admins-online', GetAdminsOnline);
RpcRouterPlayers.get('/testers-online', GetTestersOnline);
RpcRouterPlayers.get('/players-online', GetPlayersOnline);
RpcRouterPlayers.get('/id', IdPlayer);

export default RpcRouterPlayers;
